1. Profiles
swonkie.dev
  • Introduction
  • Quick Start
  • Changelog
  • Social Networks
    • Facebook
    • Instagram
    • LinkedIn
    • TikTok
    • Threads
  • Profiles
    • My Profiles
      GET
    • Competitors
      GET
  • Insights
    • Getting Started
    • My Profile Insights
      GET
    • My Profile Insights Posts
      GET
    • Competitor Insights
      GET
    • Competitor Insights Posts
      GET
  • Posts
    • Getting Started
    • List Posts
      GET
    • Get a Post
      GET
    • Create a Post
      POST
    • Update a Post
      PUT
    • Validate a Post
      GET
    • Delete a Post
      DELETE
    • Change Post Stage
      PATCH
  • Labels
    • Getting Started
    • List Labels
      GET
    • Create a Label
      POST
  • Media
    • Get a Media
    • Create a Media
    • Upload File to Media
    • Confirm Uploaded Media
    • Delete a Media
  • Examples
    • Publish
Back to Home
Back to Home
Login
  1. Profiles

Competitors

GET
/competitors
Retrieves a paginated list of all competitor profiles being monitored in your workspace. This endpoint allows you to track and analyze competitor social media accounts across multiple platforms, view their monitoring status, and access basic profile information for competitive intelligence purposes.

Request

Query Params

Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.swonkie.dev/v2/competitors?skip=0&take=10&query=Competitor Name&net=facebook,instagram' \
--header 'X-API-ID: {{apiId}}' \
--header 'X-API-KEY: {{apiKey}}'
Response Response Example
{
    "hasMore": false,
    "items": [
        {
            "id": "RDlHZERwbitlK1lmQU0xNW0zWUhWZz09",
            "name": "Nike",
            "username": "nike",
            "picture": "https://storage.example.com/profiles/nike123.jpg",
            "net": {
                "name": "Instagram",
                "code": "instagram"
            },
            "statusLevel": "ACTIVE"
        },
        {
            "id": "Tjg3YjhSU2xZREFqM1RqOTRnZTdpZz09",
            "name": "Nike Official",
            "username": "nike",
            "picture": "https://storage.example.com/profiles/nike456.jpg",
            "net": {
                "name": "Facebook",
                "code": "facebook"
            },
            "statusLevel": "NOT_AVAILABLE"
        }
    ],
    "total": 2
}
Modified at 2026-03-11 19:13:36
Previous
My Profiles
Next
Insights
Built with